## bleachbit 0.3.1

=== Makefile ===
.PHONY: clean install tests build

prefix ?= /usr/local
bindir ?= $(prefix)/bin
datadir ?= $(prefix)/share

INSTALL = install
INSTALL_DATA = $(INSTALL) -m 644


build:
	echo Nothing to build

clean:
	rm -f {.,bleachbit}/*{pyc,pyo}
	rm -f dist/bleachbit-*.tar.bz2
	make -C po clean
	rm -rf locale

install:
	# "binary"
	mkdir -p $(DESTDIR)$(bindir)
	ln -f -s ../..$(datadir)/bleachbit/GUI.py $(DESTDIR)$(bindir)/bleachbit

	# .desktop
	mkdir -p $(DESTDIR)$(datadir)/applications
	$(INSTALL_DATA) bleachbit.desktop $(DESTDIR)$(datadir)/applications/

	# Python code
	mkdir -p $(DESTDIR)$(datadir)/bleachbit
	$(INSTALL_DATA) bleachbit/*.py $(DESTDIR)$(datadir)/bleachbit
	chmod 0755 $(DESTDIR)$(datadir)/bleachbit/GUI.py
	cd $(DESTDIR)$(datadir)/bleachbit && \
	python -O -c "import compileall; compileall.compile_dir('.')" && \
	python -c "import compileall; compileall.compile_dir('.')"


	# icon
	mkdir -p $(DESTDIR)$(datadir)/pixmaps
	$(INSTALL_DATA) bleachbit.png $(DESTDIR)$(datadir)/pixmaps/

	# translations
	make -C po install DESTDIR=$(DESTDIR)

tests:
	cd bleachbit && grep -l unittest *py | xargs -L 1 python

=== po/Makefile ===
APP = bleachbit
POFILES = $(wildcard *.po)
MOFILES = $(patsubst %.po,%.mo,$(POFILES))
SRC = $(wildcard ../bleachbit/*.py)
POTFILE = $(APP).pot


.PHONY: refresh-po spelling local install clean all

$(POTFILE): $(SRC)
	@echo "* Generating $(APP).pot"
	xgettext -o $(APP).pot --default-domain=$(APP) $(SRC)

refresh-po: $(POTFILE)
	@echo "* Refreshing .po files"
	for oldpo in $(POFILES); do \
		lang=`basename $$oldpo .po`; \
		msgmerge -v $${lang}.po $(POTFILE) > $${lang}.pot; \
		mv $$lang.pot $$lang.po; \
	done

spelling: $(POTFILE)
	@echo "* Checking spelling"
	@echo
	@echo "** English"
	grep msgid $(POTFILE) | cut -c 8- | aspell list
	@echo 
	@echo "** Spanish"
	grep msgstr es.po | cut -c 8- | LANG=es_ES.utf8 aspell list

%.mo: %.po
	@echo "* Generating $@"
	msgfmt --statistics -o $@ $<

local: $(MOFILES)
	@echo "* Copy locally for running without system installation"
	for mofile in $(MOFILES); do \
		lang=`basename $$mofile .mo`; \
		mkdir -p ../locale/$$lang/LC_MESSAGES/; \
		cp -lf $$mofile ../locale/$$lang/LC_MESSAGES/bleachbit.mo; \
	done
	@echo "Now you can run cd ..; python bleachbit/GUI.py"

install: $(MOFILES)
	echo "* Installing in $(DESTDIR)/usr/share/locale"
	for MO in $(MOFILES); do \
		lang=`basename $$MO .mo`; \
		DST=$(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
		mkdir -p $$DST; \
		cp $$MO $$DST/bleachbit.mo; \
done

clean:
	echo "* Cleaning"
	@rm -fv *.mo
	@rm -fv $(APP).pot
	@rm -rfv ../locale

all: $(APP).pot $(MOFILES)

## bleachbit 0.6.3

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,12 @@
 	echo Nothing to build
 
 clean:
-	rm -f {.,bleachbit}/*{pyc,pyo}
-	rm -f dist/bleachbit-*.tar.bz2
+	@rm -vf {.,bleachbit}/*{pyc,pyo,~}
+	@rm -vf build dist # created by py2exe
+	@rm -vf MANIFEST # created by setup.py
 	make -C po clean
-	rm -rf locale
+	@rm -vrf locale
+	@rm -vfr {*/,./}*.{pychecker,pylint,pyflakes}.log
 
 install:
 	# "binary"
@@ -34,6 +36,9 @@
 	python -O -c "import compileall; compileall.compile_dir('.')" && \
 	python -c "import compileall; compileall.compile_dir('.')"
 
+	# cleaners
+	mkdir -p $(DESTDIR)$(datadir)/bleachbit/cleaners
+	$(INSTALL_DATA) cleaners/*xml $(DESTDIR)$(datadir)/bleachbit/cleaners
 
 	# icon
 	mkdir -p $(DESTDIR)$(datadir)/pixmaps
@@ -42,7 +47,26 @@
 	# translations
 	make -C po install DESTDIR=$(DESTDIR)
 
+lint:
+	for f in *py */*py; \
+	do \
+		echo "$$f" ; \
+		pychecker "$$f" > "$$f".pychecker.log ; \
+		pyflakes "$$f" > "$$f".pyflakes.log ; \
+		pylint "$$f" > "$$f".pylint.log ; \
+	done; \
+	exit 0
+
 tests:
-	cd bleachbit && grep -l unittest *py | xargs -L 1 python
+	make -C cleaners tests
+	cd bleachbit && \
+	for f in `grep -l unittest *py`; \
+	do \
+		echo testing "$$f"; \
+		python "$$f" -v; \
+		rc=$$?; \
+		[ $$rc -gt 0 ] && echo -e \\a && notify-send -u critical "error executing test for $$f" && exit 1; \
+	done; \
+	exit 0

=== po/Makefile ===
--- 
+++ 
@@ -7,15 +7,40 @@
 
 .PHONY: refresh-po spelling local install clean all
 
-$(POTFILE): $(SRC)
+cleanerml.pot: ../bleachbit/CleanerML.py ../cleaners/*xml
+	python ../bleachbit/CleanerML.py pot
+
+desktop.pot: ../bleachbit.desktop
+	echo "#: ../bleachbit.desktop" > desktop.pot
+	echo "msgid \"`perl -n -e '/GenericName=(.*)$$/ && print "$$1\n"' ../bleachbit.desktop`\"" >> desktop.pot
+	echo "msgstr \"\"" >> desktop.pot
+	echo >> desktop.pot
+	echo "#: ../bleachbit.desktop" >> desktop.pot
+	echo "msgid \"`perl -n -e '/Comment=(.*)$$/ && print "$$1\n"' ../bleachbit.desktop`\"" >> desktop.pot
+	echo "msgstr \"\"" >> desktop.pot
+	echo >> desktop.pot
+
+
+$(POTFILE): $(SRC) cleanerml.pot desktop.pot
 	@echo "* Generating $(APP).pot"
-	xgettext -o $(APP).pot --default-domain=$(APP) $(SRC)
+	echo " Words before update: " \
+		`tail -n +20 bleachbit.pot | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | wc --words`
+	cat cleanerml.pot desktop.pot > $(APP).pot
+	xgettext -o $(APP).pot \
+		--join-existing \
+		--add-comments=TRANSLATORS \
+		--default-domain=$(APP) \
+		$(SRC)
+	echo " Words after update: " \
+		`tail -n +20 bleachbit.pot | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | wc --words`
+
 
 refresh-po: $(POTFILE)
 	@echo "* Refreshing .po files"
 	for oldpo in $(POFILES); do \
 		lang=`basename $$oldpo .po`; \
-		msgmerge -v $${lang}.po $(POTFILE) > $${lang}.pot; \
+		echo $$lang; \
+		msgmerge --no-fuzzy-matching -v $${lang}.po $(POTFILE) > $${lang}.pot; \
 		mv $$lang.pot $$lang.po; \
 	done
 
@@ -53,7 +78,7 @@
 clean:
 	echo "* Cleaning"
 	@rm -fv *.mo
-	@rm -fv $(APP).pot
+	@rm -fv $(APP).pot cleanerml.pot desktop.pot
 	@rm -rfv ../locale
 
 all: $(APP).pot $(MOFILES)

## bleachbit 0.7.3

=== Makefile ===
--- 
+++ 
@@ -12,17 +12,21 @@
 	echo Nothing to build
 
 clean:
-	@rm -vf {.,bleachbit}/*{pyc,pyo,~}
-	@rm -vf build dist # created by py2exe
+	@rm -vf {.,bleachbit,tests}/*{pyc,pyo,~}
+	@rm -vrf build dist # created by py2exe
+	@rm -rf BleachBit-Portable # created by windows/setup_py2exe.bat
+	@rm -rf BleachBit-Win32-portable-full.zip
 	@rm -vf MANIFEST # created by setup.py
 	make -C po clean
 	@rm -vrf locale
-	@rm -vfr {*/,./}*.{pychecker,pylint,pyflakes}.log
+	@rm -vrf {*/,./}*.{pychecker,pylint,pyflakes}.log
+	@rm -vrf windows/BleachBit-setup.exe
 
 install:
 	# "binary"
 	mkdir -p $(DESTDIR)$(bindir)
-	ln -f -s ../..$(datadir)/bleachbit/GUI.py $(DESTDIR)$(bindir)/bleachbit
+	$(INSTALL_DATA) bleachbit.py $(DESTDIR)$(bindir)/bleachbit
+	chmod 0755 $(DESTDIR)$(bindir)/bleachbit
 
 	# .desktop
 	mkdir -p $(DESTDIR)$(datadir)/applications
@@ -31,7 +35,6 @@
 	# Python code
 	mkdir -p $(DESTDIR)$(datadir)/bleachbit
 	$(INSTALL_DATA) bleachbit/*.py $(DESTDIR)$(datadir)/bleachbit
-	chmod 0755 $(DESTDIR)$(datadir)/bleachbit/GUI.py
 	cd $(DESTDIR)$(datadir)/bleachbit && \
 	python -O -c "import compileall; compileall.compile_dir('.')" && \
 	python -c "import compileall; compileall.compile_dir('.')"
@@ -59,14 +62,6 @@
 
 tests:
 	make -C cleaners tests
-	cd bleachbit && \
-	for f in `grep -l unittest *py`; \
-	do \
-		echo testing "$$f"; \
-		python "$$f" -v; \
-		rc=$$?; \
-		[ $$rc -gt 0 ] && echo -e \\a && notify-send -u critical "error executing test for $$f" && exit 1; \
-	done; \
-	exit 0
+	python tests/TestAll.py -v

=== po/Makefile ===
--- 
+++ 
@@ -48,10 +48,10 @@
 	@echo "* Checking spelling"
 	@echo
 	@echo "** English"
-	grep msgid $(POTFILE) | cut -c 8- | aspell list
+	msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | aspell  list | sort -u
 	@echo 
 	@echo "** Spanish"
-	grep msgstr es.po | cut -c 8- | LANG=es_ES.utf8 aspell list
+	msggrep -Kie . --no-wrap es.po  | grep ^msgstr  | cut -c 9- | LANG=es_ES.utf-8 aspell  list | sort -u
 
 %.mo: %.po
 	@echo "* Generating $@"

=== debian/changelog ===
bleachbit (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 21 Feb 2010 15:10:00 +0100

bleachbit (0.7.2-2) unstable; urgency=low

  * debian/patches/local_cleaners_dir.patch:
    - Point local_cleaners_dir to personal_cleaners_dir. The former is
      not useful when BleachBit is installed system-wide, this way users
      are not bothered for new cleaners each time (Closes: #565359).
  * Switch to format 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 24 Jan 2010 21:28:06 +0100

bleachbit (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/GUI_relative_imports.patch:
    - Removed, applied upstream.
  * debian/install, debian/rules:
    - No longer generate bleachbit-root.desktop in build directory, this
      way build is automatically removed during clean. Generate .desktop
      file into the correct location directly.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 02 Dec 2009 22:12:24 +0100

bleachbit (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream release.
  * Use debhelper buildsystem feature.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 10 Nov 2009 22:48:59 +0100

bleachbit (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/GUI_relative_imports.patch:
    - Refreshed for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 22 Oct 2009 21:49:11 +0200

bleachbit (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/GUI_relative_imports.patch:
    - Do not use absolute imports, we install bleachbit module in a
      private directory.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 Oct 2009 22:02:24 +0200

bleachbit (0.6.4-1) unstable; urgency=low

  * New upstream release:
    - New feature: command line inferface (CLI).
  * Add manpage for bleachbit_cli script.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 16 Sep 2009 23:39:09 +0200

bleachbit (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 28 Aug 2009 08:08:08 +0000

bleachbit (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/no_update:
    - Refresh patch for new upstream release.
  * debian/control:
    - Update my e-mail address.
    - Adjust Homepage field to match new location.
    - Bump Standards-Version to 3.8.3, no changes required.
  * debian/watch:
    - Upstream provides .tar.gz archives, get those instead of .tar.bz2.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 26 Aug 2009 21:59:06 +0200

bleachbit (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 19 Jul 2009 22:16:44 +0200

bleachbit (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream release:
    - debian/patches/desktop_file
  * Adjust Homepage field and download location to match current ones.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 05 Jul 2009 21:45:32 +0200

bleachbit (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream release:
    - debian/patches/desktop_file
    - debian/patches/no_update
  * Do not install Windows-specific cleaners, (as seen in release notes).
  * Bump Standards-Version to 3.8.2, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 24 Jun 2009 23:39:54 +0200

bleachbit (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream release:
    - debian/patches/desktop_file
    - debian/patches/no_update
  * debian/patches/suppress_locales_warnings:
    - Removed, fixed upstream.
  * Bump debhelper minimum version to 7.0.50 for override_* support.
  * Install only *.xml files from cleaners directory.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 13 Jun 2009 19:45:53 +0200

bleachbit (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * debian/patches/launcher:
    - Remove it, no longer needed because launcher has been replaced by
      a symlink to usr/share/bleachbit/bleachbit/GUI.py file.
  * debian/rules:
    - Make /usr/share/bleachbit/bleachbit/GUI.py executable.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 12 May 2009 20:35:05 +0200

bleachbit (0.4.1-1) unstable; urgency=low

  * New upstream release.
    - French translation improved (Closes: #518951).
  * Remove patches merged upstream:
    - debian/patches/LANG_env
    - debian/patches/no_X
  * Refresh patches for new upstream release:
    - debian/patches/launcher
  * Remove python-dev from Build-Depends-Indep, use python instead.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 19 Apr 2009 14:50:20 +0200

bleachbit (0.4.0-2) unstable; urgency=low

  * debian/patches/LANG_env:
    - Fix AttributeError if LANG is not set (Closes: #519027).
  * debian/patches/no_X:
    - Do not show intrusive pyGTK warnings if X is not available, only
      display a message X is required to run BleachBit (Closes: #520107).
  * debian/patches/suppress_locales_warnings:
    - Suppress locale files warning messages when they are actually not
      locale files (Closes: #521240).
  * Bump Standards-Version to 3.8.1, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 06 Apr 2009 14:29:23 +0200

bleachbit (0.4.0-1) unstable; urgency=low

  * New upstream release.
    - New feature: CleanerML files.
  * Refresh patches for new upstream release:
    - debian/patches/desktop_file
    - debian/patches/launcher
  * Provide a bleachbit-root.desktop file to enable superuser tasks:
    - debian/rules: create the new file on top of bleachbit.desktop.
    - debian/bleachbit.install: install new .desktop file.
    - debian/control: let bleachbit recommends menu package.
  * Add locales support:


=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils $@

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/bleachbit
	make -C po install DESTDIR=$(CURDIR)/debian/bleachbit

override_dh_install:
	# Do not install Windows-specific cleaners
	dh_install $(addprefix -X,$(notdir $(shell grep -l os=.windows. cleaners/*.xml | xargs ls)))
	# Automatically generate .desktop file to invoke BleachBit as superuser
	sed -e "s/Name=BleachBit/Name=BleachBit \(as root\)/; \
		s/TryExec=bleachbit/TryExec=su-to-root/; \
		s/Exec=bleachbit/Exec=su-to-root -X -c bleachbit/" \
		bleachbit.desktop > debian/bleachbit/usr/share/applications/bleachbit-root.desktop

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/bleachbit/usr/share/bleachbit/bleachbit/GUI.py
	chmod +x debian/bleachbit/usr/share/bleachbit/bleachbit/CLI.py

## bleachbit 0.8.0

=== po/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	xgettext -o $(APP).pot \
 		--join-existing \
 		--add-comments=TRANSLATORS \
+		--keyword="_p:1c,2" \
 		--default-domain=$(APP) \
 		$(SRC)
 	echo " Words after update: " \

=== debian/changelog ===
bleachbit (0.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Jun 2010 11:43:36 +0200

bleachbit (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream release.
  * debian/install:
    - Also provide bleachbit.png file.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 15 Apr 2010 22:52:40 +0200

=== debian/control ===
Source: bleachbit
Section: admin
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.3.0)
Build-Depends-Indep: python-support (>= 0.5.3), python (>= 2.4), gettext
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/python-apps/packages/bleachbit/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
Homepage: http://bleachbit.sourceforge.net

Package: bleachbit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2, python-glade2, python-gnome2
Recommends: python-notify, menu
Description: delete unnecessary files from the system
 BleachBit deletes unnecessary files to free valuable disk space, maintain
 privacy, and remove junk. It removes cache, Internet history, temporary files,
 cookies, and broken shortcuts.
 . 
 It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
 GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
 Second Life Viewer, VIM, XChat, and more.
 .
 Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
 previously deleted files for privacy and to improve compression of images),
 vacuums Firefox databases (to improve performance without deleting data), and
 securely shreds arbitrary files.

## bleachbit 0.8.7

=== cleaners/Makefile ===
PHONY: pretty tests


pretty:
	for f in *xml; \
	do \
		xmllint --format "$$f"  > "$$f.pretty"; \
		diff=`diff -q "$$f" "$$f.pretty" | grep -o differ`; \
		[[ "$$diff" != "differ" ]] && echo "$$f" unchanged && rm "$$f.pretty"; \
		[[ -s "$$f.pretty" ]] && echo "$$f" is pretty now!!! && mv "$$f.pretty" "$$f" ; \
	done; \
	exit 0

tests:
	for f in *xml; \
	do \
		xmllint --noout --schema ../doc/cleaner_markup_language.xsd "$$f"; \
	done \

=== debian/changelog ===
bleachbit (0.8.7-1) unstable; urgency=low

  * New upstream release (LP: #713537).
  * Refresh patches for new upstream release.
  * Switch to dh_python2.
  * debian/patches/gnomevfs.patch:
    - Replace gnomevfs methods, now deprecated.
  * debian/bleachbit_cli.1:
    - Document latest option implemented upstream.
  * debian/control:
    - Depends on python (>= 2.6) | python-simplejson.
    - Drop python-glade2 dependency.
    - Drop python-gnome2 dependency (Closes: #605555).
    - No longer recommend menu.
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Feb 2011 18:39:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.3.0)
-Build-Depends-Indep: python-support (>= 0.5.3), python (>= 2.4), gettext
-Standards-Version: 3.8.4
+Build-Depends-Indep: python (>= 2.6.5-2~), gettext
+Standards-Version: 3.9.1
+X-Python-Version: >= 2.5
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/bleachbit/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
 Homepage: http://bleachbit.sourceforge.net
 
 Package: bleachbit
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-gtk2, python-glade2, python-gnome2
-Recommends: python-notify, menu
+Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.6) | python-simplejson, python-gtk2 (>= 2.14)
+Recommends: python-notify
 Description: delete unnecessary files from the system
  BleachBit deletes unnecessary files to free valuable disk space, maintain
  privacy, and remove junk. It removes cache, Internet history, temporary files,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --buildsystem=python_distutils $@
+	dh $@ --buildsystem=python_distutils --with python2
 
 override_dh_auto_install:
 	dh_auto_install -- --install-lib=/usr/share/bleachbit

## bleachbit 0.8.8

=== debian/changelog ===
bleachbit (0.8.8-2) unstable; urgency=low

  * Install new loader (LP: #797328).
    + debian/bleachbit.1:
      - Reworked to include CLI parameters.
    + debian/bleachbit_cli.1:
      - Removed, no longer needed.
    + debian/install:
      - Install bleachbit.py file.
    + debian/links:
      - Adjust bleachbit link to the new loader.
      - No longer provide link to CLI interface.
    + debian/manpages:
      - No longer install bleachbit_cli.1, removed.
    + debian/rules:
      - Adjust permissions of bleachbit.py.
  * debian/copyright:
    - Convert to DEP5 format.
  * debian/rules:
    - Remove egg-info information from binary package.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 02 Jul 2011 10:56:33 +0200

bleachbit (0.8.8-1) unstable; urgency=low

  * New upstream release.
    - Fix crash when changing options (LP: #715286).
  * debian/patches/gnomevfs.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Depend on menu (Closes: #630899) (LP: #632989).
    - Bump Standards-Version to 3.9.2, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 18 Jun 2011 18:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.3.0)
-Build-Depends-Indep: python (>= 2.6.5-2~), gettext
-Standards-Version: 3.9.1
+Build-Depends-Indep: python (>= 2.6.6-3~), gettext
+Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/bleachbit/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
@@ -13,7 +13,7 @@
 
 Package: bleachbit
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.6) | python-simplejson, python-gtk2 (>= 2.14)
+Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.6) | python-simplejson, python-gtk2 (>= 2.14), menu
 Recommends: python-notify
 Description: delete unnecessary files from the system
  BleachBit deletes unnecessary files to free valuable disk space, maintain

## bleachbit 0.9.0

=== debian/changelog ===
bleachbit (0.9.0-1) unstable; urgency=low

  * New upstream release.
    - Use word 'Clean' instead of 'Delete' (Closes: #626883).
  * debian/patches/desktop_file.patch, debian/patches/gnomevfs.patch:
    - Refresh for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 29 Aug 2011 22:29:46 +0200

## bleachbit 0.9.1

=== debian/changelog ===
bleachbit (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 11 Nov 2011 20:20:41 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 override_dh_auto_install:
 	dh_auto_install -- --install-lib=/usr/share/bleachbit
 	make -C po install DESTDIR=$(CURDIR)/debian/bleachbit
+	find $(CURDIR)/debian/bleachbit -name "*.egg-info" -delete
 
 override_dh_install:
 	# Do not install Windows-specific cleaners
@@ -18,5 +19,4 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod +x debian/bleachbit/usr/share/bleachbit/bleachbit/GUI.py
-	chmod +x debian/bleachbit/usr/share/bleachbit/bleachbit/CLI.py
+	chmod +x $(CURDIR)/debian/bleachbit/usr/share/bleachbit/bleachbit.py

## bleachbit 0.9.2

=== Makefile ===
--- 
+++ 
@@ -15,12 +15,12 @@
 	@rm -vf {.,bleachbit,tests}/*{pyc,pyo,~}
 	@rm -vrf build dist # created by py2exe
 	@rm -rf BleachBit-Portable # created by windows/setup_py2exe.bat
-	@rm -rf BleachBit-Win32-portable-full.zip
+	@rm -rf BleachBit-0.0.0-portable.zip
 	@rm -vf MANIFEST # created by setup.py
 	make -C po clean
 	@rm -vrf locale
 	@rm -vrf {*/,./}*.{pychecker,pylint,pyflakes}.log
-	@rm -vrf windows/BleachBit-setup.exe
+	@rm -vrf windows/BleachBit-0.0.0-setup.exe
 
 install:
 	# "binary"
@@ -56,7 +56,7 @@
 		echo "$$f" ; \
 		pychecker "$$f" > "$$f".pychecker.log ; \
 		pyflakes "$$f" > "$$f".pyflakes.log ; \
-		pylint "$$f" > "$$f".pylint.log ; \
+		pylint --disable-msg=C0111,C0103,W0403 "$$f" > "$$f".pylint.log ; \
 	done; \
 	exit 0

=== debian/changelog ===
bleachbit (0.9.2-2) unstable; urgency=low

  * debian/patches/no_X.patch:
    - Do not try to launch GUI if X is not available (Closes: #674485).
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/rules:
    - Delete .mo files during clean phase (Closes: #671414).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 May 2012 18:28:15 +0200

bleachbit (0.9.2-1) unstable; urgency=low

  * New upstream release.
   * debian/control:
     - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Adjust copyright years.
    - Format now points to copyright-format site.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 16 Mar 2012 21:43:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.3.0)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~), gettext
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/bleachbit/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/

## bleachbit 0.9.3

=== debian/changelog ===
bleachbit (0.9.3-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/no_X.patch:
    - Removed, applied upstream.
  * debian/bleachbit.xpm:
    - Convert to the new icon.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 20 Aug 2012 23:05:43 +0200

## bleachbit 0.9.6

=== debian/changelog ===
bleachbit (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Jul 2013 10:57:57 +0200

bleachbit (0.9.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 14:34:45 +0200

bleachbit (0.9.5-1) experimental; urgency=low

  * New upstream release (Closes: #699786).
  * debian/patches/desktop_file.patch
    debian/patches/gnomevfs.patch,
    debian/patches/local_cleaners_dir.patch,
    - Refresh for new upstream release.
  * debian/control:
    - Use canonical URIs for VCS fields.
    - Bump Standards-Version to 3.9.4.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 09 Feb 2013 11:47:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~), gettext
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/bleachbit/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/bleachbit/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
 Homepage: http://bleachbit.sourceforge.net
 
 Package: bleachbit

## bleachbit 1.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# On some systems if not explicitly given, make uses /bin/sh
+SHELL := /bin/bash
+
 .PHONY: clean install tests build
 
 prefix ?= /usr/local
@@ -56,7 +59,7 @@
 		echo "$$f" ; \
 		pychecker "$$f" > "$$f".pychecker.log ; \
 		pyflakes "$$f" > "$$f".pyflakes.log ; \
-		pylint --disable-msg=C0111,C0103,W0403 "$$f" > "$$f".pylint.log ; \
+		pylint "$$f" > "$$f".pylint.log ; \
 	done; \
 	exit 0

=== cleaners/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# On some systems if not explicitly given, make uses /bin/sh, so 'make pretty' fails.
+SHELL := /bin/bash
+
 PHONY: pretty tests

=== po/Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 		--keyword="_p:1c,2" \
 		--default-domain=$(APP) \
 		$(SRC)
+	sed -i 's/charset=CHARSET/charset=utf-8/g' bleachbit.pot
 	echo " Words after update: " \
 		`tail -n +20 bleachbit.pot | grep -v ^# | sed "s/\(msgstr\|msgid\)//g" | sort | wc --words`
 
@@ -48,11 +49,7 @@
 spelling: $(POTFILE)
 	@echo "* Checking spelling"
 	@echo
-	@echo "** English"
 	msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | aspell  list | sort -u
-	@echo 
-	@echo "** Spanish"
-	msggrep -Kie . --no-wrap es.po  | grep ^msgstr  | cut -c 9- | LANG=es_ES.utf-8 aspell  list | sort -u
 
 %.mo: %.po
 	@echo "* Generating $@"

=== debian/changelog ===
bleachbit (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #725789).
  * debian/patches/desktop_file.patch:
    - Refresh for new upstream release.
  * debian/bleachbit.1:
    - Refresh man page with the newly added options.
  * debian/control:
    - Bump Standards-Version to 3.9.5.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 24 Nov 2013 17:41:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~), gettext
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/bleachbit/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/

=== debian/watch ===
version=3
http://sf.net/bleachbit/bleachbit-([0-9.]+)\.tar.gz

## bleachbit 1.0-1+7.0trisquel1

=== debian/changelog ===
bleachbit (1.0-1+7.0trisquel1) belenos; urgency=medium

  * Updates for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 28 Apr 2015 18:21:41 +0000

## bleachbit 1.2

=== debian/changelog ===
bleachbit (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/*.patch:
    - Refresh for new upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/tests/*:
    - Provide a simple test to check whether the package is functional
      as per DEP8 (autopkgtests).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 11 Jun 2014 23:09:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,21 @@
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python (>= 2.6.6-3~), gettext
+Build-Depends-Indep: python (>= 2.6.6-3~),
+                     gettext
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/bleachbit/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
 Homepage: http://bleachbit.sourceforge.net
+XS-Testsuite: autopkgtest
 
 Package: bleachbit
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.6) | python-simplejson, python-gtk2 (>= 2.14), menu
+Depends: ${misc:Depends}, ${python:Depends},
+         python (>= 2.6) | python-simplejson,
+         python-gtk2 (>= 2.14),
+         menu
 Recommends: python-notify
 Description: delete unnecessary files from the system
  BleachBit deletes unnecessary files to free valuable disk space, maintain

## bleachbit 1.4

=== Makefile ===
--- 
+++ 
@@ -67,4 +67,9 @@
 	make -C cleaners tests
 	python tests/TestAll.py -v
 
-
+pretty:
+	autopep8 -i {.,bleachbit,tests}/*py
+	dos2unix  {.,bleachbit,tests}/*py
+	make -C cleaners pretty
+	xmllint --format doc/cleaner_markup_language.xsd > doc/cleaner_markup_language.xsd.tmp
+	mv doc/cleaner_markup_language.xsd.tmp doc/cleaner_markup_language.xsd

=== debian/changelog ===
bleachbit (1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/copyright:
    - New Maintainer (Closes: #755293).
  * debian/patches/series, debian/patches/firefox_profiles.patch:
    - Added firefox_profiles.patch (Closes: #752257). 

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 13 Sep 2014 15:32:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bleachbit
 Section: admin
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~),

## bleachbit 1.6

=== Makefile ===
--- 
+++ 
@@ -18,12 +18,12 @@
 	@rm -vf {.,bleachbit,tests}/*{pyc,pyo,~}
 	@rm -vrf build dist # created by py2exe
 	@rm -rf BleachBit-Portable # created by windows/setup_py2exe.bat
-	@rm -rf BleachBit-0.0.0-portable.zip
+	@rm -rf BleachBit-*-portable.zip
 	@rm -vf MANIFEST # created by setup.py
 	make -C po clean
 	@rm -vrf locale
 	@rm -vrf {*/,./}*.{pychecker,pylint,pyflakes}.log
-	@rm -vrf windows/BleachBit-0.0.0-setup.exe
+	@rm -vrf windows/BleachBit-*-setup*.exe
 
 install:
 	# "binary"

=== debian/changelog ===
bleachbit (1.6-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15..

 -- Mike Purtell <mandbx@sbcglobal.net>  Sat, 30 May 2015 21:14:17 -0700

bleachbit (1.6-1mcr120+1) mepis; urgency=low

  * Rebuild for MEPIS 12.0.
  * debian/rules: compress deb packages with xz.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 22 Feb 2015 19:32:36 -0800

bleachbit (1.6-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/patches/*.patch:
    - Refresh for new upstream release.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 22 Nov 2014 11:51:23 +0100

bleachbit (1.5.2~b1-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed).
  * debian/patches/*.patch:
    - Refresh for new upstream release.
  * debian/patches/desktop_file.patch:
    - Add a Keyword entry to make bleachbit fully Freedesktop compliant.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Sat, 08 Nov 2014 22:17:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: bleachbit
 Section: admin
 Priority: optional
-Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
+Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~),
                      gettext
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/bleachbit/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
+
+DH_VERBOSE = 1
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2
+
+override_dh_auto_clean:
+	find po -name "*.mo" -delete
+	dh_auto_clean
 
 override_dh_auto_install:
 	dh_auto_install -- --install-lib=/usr/share/bleachbit

## bleachbit 1.8

=== Makefile ===
--- 
+++ 
@@ -64,8 +64,9 @@
 	exit 0
 
 tests:
-	make -C cleaners tests
-	python tests/TestAll.py -v
+	make -C cleaners tests; cleaners_status=$$?; \
+	python tests/TestAll.py -v; py_status=$$?; \
+	exit $$(($$cleaners_status + $$py_status))
 
 pretty:
 	autopep8 -i {.,bleachbit,tests}/*py

=== debian/changelog ===
bleachbit (1.8-1) unstable; urgency=low

  * New upstream release. 
  * debian/copyright:
    - Update copyright years.
  * debian/patches/*.patch:
    - Refresh for new upstream release.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Thu, 25 Jun 2015 19:47:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: bleachbit
 Section: admin
 Priority: optional
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
+Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python (>= 2.6.6-3~),
@@ -26,7 +24,7 @@
  BleachBit deletes unnecessary files to free valuable disk space, maintain
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
- . 
+ .
  It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
  GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.

## bleachbit 1.10

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 INSTALL = install
 INSTALL_DATA = $(INSTALL) -m 644
 
+# if not specified, do not check coverage
+COVERAGE ?= python
 
 build:
 	echo Nothing to build
@@ -23,7 +25,7 @@
 	make -C po clean
 	@rm -vrf locale
 	@rm -vrf {*/,./}*.{pychecker,pylint,pyflakes}.log
-	@rm -vrf windows/BleachBit-*-setup*.exe
+	@rm -vrf windows/BleachBit-*-setup*.{exe,zip}
 
 install:
 	# "binary"
@@ -65,7 +67,7 @@
 
 tests:
 	make -C cleaners tests; cleaners_status=$$?; \
-	python tests/TestAll.py -v; py_status=$$?; \
+	$(COVERAGE) tests/TestAll.py -v; py_status=$$?; \
 	exit $$(($$cleaners_status + $$py_status))
 
 pretty:

=== po/Makefile ===
--- 
+++ 
@@ -49,6 +49,8 @@
 spelling: $(POTFILE)
 	@echo "* Checking spelling"
 	@echo
+	@echo Word count: `msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | wc --words`
+	@echo
 	msggrep -Kie . --no-wrap $(POTFILE)  | grep ^msgid  | cut -c 8- | aspell  list | sort -u
 
 %.mo: %.po

=== debian/changelog ===
bleachbit (1.10-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Remove debian/menu to make the package CTTE #741573 compliant.
  * debian/control:
    - Bump Standards-Version to 3.9.7 (no changes needed).
  * debian/patches/*.patch:
    - Refresh for new upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/bleachbit.1:
    - Refresh manpage for new upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 24 Mar 2016 11:21:20 +0100

bleachbit (1.9.1-1) experimental; urgency=low

  * New upstream release. 
  * debian/control:
    - Use https protocol for Vcs-Browser.
    - Add dh-python to Build-Depends.
    - Remove useless 'XS-Testsuite: autopkgtest' field.
  * debian/copyright, debian/control:
    - Change the Maintainer's e-mail address.
  * debian/patches:
    - Refresh patches for new usptream release.
    - Make patches DEP3 compliant.
  * debian/watch, debian/upstream:
    - Verify upstream releases using its public key.
  * debian/bleachbit.1:
    - Refresh manpage for new upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 22 Sep 2015 12:33:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: bleachbit
 Section: admin
 Priority: optional
-Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
+Maintainer: Hugo Lefeuvre <hle@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9),
+               dh-python
 Build-Depends-Indep: python (>= 2.6.6-3~),
                      gettext
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/bleachbit/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
 Homepage: http://bleachbit.sourceforge.net
-XS-Testsuite: autopkgtest
 
 Package: bleachbit
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DH_VERBOSE = 1
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://sf.net/bleachbit/bleachbit-([0-9.]+)\.tar.gz

## bleachbit 1.10-1+8.0trisquel1

=== debian/changelog ===
bleachbit (1.10-1+8.0trisquel1) flidas; urgency=medium

  * Updates for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 17:25:22 +0000

=== debian/control ===
--- 
+++ 
@@ -25,11 +25,11 @@
  privacy, and remove junk. It removes cache, Internet history, temporary files,
  cookies, and broken shortcuts.
  .
- It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
+ It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Abrowser, Flash,
  GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
  Second Life Viewer, VIM, XChat, and more.
  .
  Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
  previously deleted files for privacy and to improve compression of images),
- vacuums Firefox databases (to improve performance without deleting data), and
+ vacuums Abrowser databases (to improve performance without deleting data), and
  securely shreds arbitrary files.

## bleachbit 1.12

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	@rm -vrf locale
 	@rm -vrf {*/,./}*.{pychecker,pylint,pyflakes}.log
 	@rm -vrf windows/BleachBit-*-setup*.{exe,zip}
+	@rm -vrf htmlcov # code coverage reports
 
 install:
 	# "binary"

=== debian/changelog ===
bleachbit (1.12-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 28 Jul 2016 23:04:58 +0200

bleachbit (1.11.2-1) experimental; urgency=low

  * New upstream release.
  * Remove debian/patches/gnomevfs.patch (integrated by upstream).
  * debian/control:
    - Update Homepage.
    - Bump Standards-Version to 3.9.8 (no changes needed).
    - Fix unnecessary versioned dependency python in the Build-Depends-Indep
      field.
    - Fix unnecessary versioned dependencies python and python-gtk2 in the 
      Depends field.
  * debian/copyright:
    - Update Format field to match DEP5 recommendations.
  * debian/patches/local_cleaners_dir.patch:
    - Use HTTPS protocol in the BTS link.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 18 Jun 2016 13:22:14 +0200

=== debian/control ===
Source: bleachbit
Section: admin
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python
Build-Depends-Indep: python,
                     gettext
Standards-Version: 3.9.8
X-Python-Version: >= 2.5
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/bleachbit/trunk/
Vcs-Browser: https://anonscm.debian.org/viewsvn/python-apps/packages/bleachbit/trunk/
Homepage: https://www.bleachbit.org/

Package: bleachbit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python | python-simplejson,
         python-gtk2,
         menu
Recommends: python-notify
Description: delete unnecessary files from the system
 BleachBit deletes unnecessary files to free valuable disk space, maintain
 privacy, and remove junk. It removes cache, Internet history, temporary files,
 cookies, and broken shortcuts.
 .
 It handles cleaning of Adobe Reader, Bash, Beagle, Epiphany, Firefox, Flash,
 GIMP, Google Earth, Java, KDE, OpenOffice.org, Opera, RealPlayer, rpmbuild,
 Second Life Viewer, VIM, XChat, and more.
 .
 Beyond simply erasing junk files, BleachBit wipes free disk space (to hide
 previously deleted files for privacy and to improve compression of images),
 vacuums Firefox databases (to improve performance without deleting data), and
 securely shreds arbitrary files.
